POST
https://api.cryptohopper.com/v1/hopper/{id}/changeimage
Replaces the hopper image. The image is cropped to 600 by 430 pixels, saved as JPEG and its new URL is returned.
Send image as a base64 encoded image file.
Example request
curl -X POST "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changeimage" \
-H "access-token: YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{"image":"/9j/4AAQSkZJRgABAQAAAQABAAD..."}'
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changeimage', {
method: 'POST',
headers: {
"access-token": "YOUR_ACCESS_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"image": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
})
});
const data = await response.json();
import requests
response = requests.post(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changeimage",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
json={
"image": "/9j/4AAQSkZJRgABAQAAAQABAAD..."
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/changeimage');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode([
'image' => '/9j/4AAQSkZJRgABAQAAAQABAAD...',
]),
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id |
string | Required | Hopper ID. |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
image | string | Required |
Response
{
"data": "https://cdn.cryptohopper.com/images/hoppers/hoppers/123456_2026-09-25-10-15-00.jpg"
}